/*
 * TitleState.h
 *
 *  Created on: 2009-07-11
 *      Author: wasyl
 */

#ifndef TITLESTATE_H_
#define TITLESTATE_H_

#include "../prep/ent/World.h"
#include "../prep/app/AppState.h"
#include "../prep/input/Primaries.h"
#include "../gui/GuiButton.h"
#include "../gui/GuiText.h"
#include "PlayState.h"
#include <vector>

class TitleState : public AppState<int>
{
private:
	World mWorld;
	PlayState *mBackground;

	ALLEGRO_BITMAP *mLogo;

	std::vector<GuiButton *> levelButtons;
	GuiButton *themeButton, *quitButton, *musicButton;
	GuiButton *winnerButton;

	int mThemeNo;
	bool mMusic;

	GuiText *mPointsText;

public:
	TitleState();
	~TitleState();

	void update(double dt);
	void render(ALLEGRO_DISPLAY *disp);
};
#endif /* TITLESTATE_H_ */
