/*
 * Physics.h
 *
 *  Created on: 2009-07-10
 *      Author: wasyl
 */

#ifndef PHYSICS_H_
#define PHYSICS_H_

#include "../prep/ent/Entity.h"
#include "../thing/Tile.h"

struct Collision
{
	enum Dir {NONE = 0, LEFT, RIGHT, UP, DOWN};

	Dir dir;
	Tile *tile;
	double penetr;
};

class Physics
{
public:
	static Collision collisions(Entity *e);
	static void eject(Entity *e, Collision col);
};

#endif /* PHYSICS_H_ */
